[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

apt-get and loclaly modified packages



Hi All.
проблема в следуюшуем , есть postfix с VDA патчем , собраный через dpkg-buildpackage и установленный dpkg -i postifixxxx и так-же собраный courier-pop/imap , теперь когда я пытаюсь сделать aptitude upgrade мне предлагают заменить эти пакеты.
#aptitude upgrade
...
The following packages will be upgraded:
courier-authdaemon courier-authmysql courier-base courier-imap
courier-pop courier-pop-ssl courier-ssl postfix postfix-mysql postfix-tls
10 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/2901kB of archives. After unpacking 532kB will be freed.

как мне подсказали на то, что установлено dpkg, а не через apt-get, pin не
распространяется.


тогда возникает вопрос как быть с обновлениями если часть пакетов установлены выше описанныи способом ?

также здесь в рассылке мне посоветовали след.
Правильно будет создать для локально модифицированых пакетов маленький
репозитарий. В нём завести релиз. И тогда делать pin по релизу.

но как это можно реализовать не ясно.



Reply to: